#!/bin/sh
#
# Shell script to install In-band SCSI Driver.

more << "EOF"

	*************************************************************
                      In-band SCSI Driver Installation 
        *************************************************************


*NOTE: 1.You need to install in-band driver before you can manage stand-alone 
         RAID controller.

       2.To check to see if the in-band driver has already been installed, Please
         type "lsdev -C -c dasc -H" on command line to verify it.

EOF

cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/aix
COMDIR=${SRCDIR}/common

echo "Would you like to install In-band SCSI Driver now ?"
agreed=
while [ x$agreed = x ]; do
   echo "Please type yes or no."
   read reply
   case $reply in
      y* | Y*)
         cp -f ${OSDIR}/dascadd/cfgdasc.ori /usr/lib/methods/cfgdasc;
         cp -f ${OSDIR}/dascadd/dasc.add /usr/lib/methods/;
         cp -f ${OSDIR}/dascadd/dasc.cat /usr/lib/methods/;
         cp -f ${OSDIR}/dascadd/dasc_uty.ori /usr/lib/methods/dasc_uty;
         cp -f ${OSDIR}/dascadd/defdasc.ori /usr/lib/methods/defdasc;
         cp -f ${OSDIR}/dascadd/readme.ori /usr/lib/methods/readme;
         cp -f ${OSDIR}/dascadd/startdas.ori /usr/lib/methods/startdasc;
         cp -f ${OSDIR}/dascadd/ucfgdasc.ori /usr/lib/methods/ucfgdasc;
         cp -f ${OSDIR}/dasc/dasc.ori /usr/lib/drivers/dasc;
         echo 
         echo "It may take a few seconds to install in-band driver. Please wait...";
         echo
         odmadd ${OSDIR}/dascadd/dasc.add;
         mkdev -c dasc -s node -t dasc;
         echo "In-band SCSI Driver Install Finished !";
         agreed=1;;
      n* | N*)
         echo 
         echo "In-band SCSI Driver Install Canceled !";
         agreed=1;;
   esac
done      
