#!/bin/sh

DelDrvLink()
{
    ed -s /etc/devlink.tab << TOAST > /dev/null
/name=dasc/
//
d
w
q
TOAST
}

DelAllDascEntry()
{
while :
do
    egrep "name=dasc" /etc/devlink.tab > /dev/null
    if [ $? -gt 0 ]
    then
	 break
    fi	
    DelDrvLink
done
}

#
# Install Program for the RAID In-Band SCSI Driver for Solaris
#
echo "\nInstall Program for Infortrend RAID In-Band SCSI Driver for Solaris .."

modinfo | grep "dasc" > /dev/null
if [ $? -eq 0 ]
then
    rem_drv dasc > /dev/null 2>&1
fi

DelAllDascEntry
echo "type=scsi_config;name=dasc;minor=raw	dasc" >> /etc/devlink.tab
add_drv dasc > /dev/null 2>&1

echo "\nReboot the system, then type \"b -r\" to boot with options"
